Bug 1325548 - The term variable sometimes doesn't get set correctly.
Summary: The term variable sometimes doesn't get set correctly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: http://savannah.gnu.org/bugs/?47449
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-09 23:30 UTC by bollocks
Modified: 2016-04-15 21:34 UTC (History)
7 users (show)

Fixed In Version: octave-4.0.1-6.fc23 octave-4.0.1-6.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 20:23:13 UTC
Type: ---


Attachments (Terms of Use)

Description bollocks 2016-04-09 23:30:07 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
Build Identifier: 

The TERM variable is sometimes not set correctly when running Octave from a shortcut.  This causes paging to work incorrectly.

Reproducible: Always

Steps to Reproduce:
1.Install XFCE spin
2.Install Octave 4.0.1 from updates-testing
3.Create *.desktop link by dragging and dropping from menu to desktop
4. Run Octave using the desktop link.
5. run 'help fftw' and scroll down using arrow keys

Actual Results:  
The TERM variable is set to dump and the paging system doesn't work right.

Expected Results:  
TERM should have been set to xterm and less should have produced readable results when scrolling.

The bug has been fixed upstream.  I modified the source rpm for 4.0.1 to include the change.  This required an additional file called octave-term.patch in the SOURCES directory and a modified octave.spec in the SPECS directory. I've uploaded these files to https://bollocks.fedorapeople.org/

Comment 1 Fedora Update System 2016-04-11 13:48:20 UTC
octave-4.0.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f54ef2461

Comment 2 Fedora Update System 2016-04-11 13:48:36 UTC
octave-4.0.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6120d66312

Comment 3 Fedora Update System 2016-04-12 10:53:25 UTC
octave-4.0.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6120d66312

Comment 4 Fedora Update System 2016-04-13 09:28:11 UTC
octave-4.0.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f54ef2461

Comment 5 Fedora Update System 2016-04-13 20:23:07 UTC
octave-4.0.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-04-15 21:34:46 UTC
octave-4.0.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.